# $Revision: 1.42.2.1 $, $Date: 2008-05-17 00:09:01 $
#
# Conditional build:
%bcond_with	vnc	# build rdp2vnc
#
Summary:	RDP client for accessing Windows NT Terminal Server
Summary(pl.UTF-8):	Klient RDP umożliwiający dostęp do Terminal Serwera WinNT
Name:		rdesktop
Version:	1.6.0
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/rdesktop/%{name}-%{version}.tar.gz
# Source0-md5:	c6fcbed7f0ad7e60ac5fcb2d324d8b16
Patch0:		%{name}-vnc.patch
URL:		http://www.rdesktop.org/
BuildRequires:	XFree86-devel
BuildRequires:	alsa-lib-devel
%{?with_vnc:BuildRequires:	libvncserver-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcsc-lite-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rdesktop is an open source client for Windows NT or Windows 2000
Terminal Server, capable of natively speaking its Remote Desktop
Protocol (RDP) in order to present the user's NT desktop. Unlike
Citrix ICA, no server extensions are required.

%description -l pl.UTF-8
rdesktop jest klientem natywnie używającym protokołu RDP (Remote
Desktop Protocol) umożliwiającego dostęp do Terminal Servera Windows
NT lub Windows 2000. W przeciwieństwie do rozwiązań typu Citrix nie są
wymagane żadne rozszerzenia po stronie serwera.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	%{?with_vnc:--with-libvncserver} \
	--enable-smartcard \
	--with-sound=alsa \
	--with-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/
%attr(755,root,root) %{_bindir}/rdesktop
%{_datadir}/rdesktop
%{_mandir}/man1/rdesktop.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rdesktop.spec,v $
Revision 1.42.2.1  2008-05-17 00:09:01  glen
- AC deps

Revision 1.42  2008-05-16 14:52:01  megabajt
- CVE references for rev. 1.41

Revision 1.41  2008-05-15 17:28:47  arekm
- up to 1.6.0
- fixes [CVE-2008-1801, CVE-2008-1802, CVE-2008-1803]

Revision 1.40  2007/04/04 06:43:31  qboosh
- bcond desc, cleanup
- keymaps are not executable

Revision 1.39  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.37  2006/09/19 07:31:43  arekm
- up to 1.5.0

Revision 1.36  2006/08/24 20:17:03  arekm
- rel 3

Revision 1.35  2006/08/07 16:02:14  qboosh
- sorted BRs

Revision 1.34  2006/08/06 16:55:48  ankry
- build for Th by Tomasz Rutkowski

Revision 1.33  2005/08/01 19:40:06  zawadaa
- rel 2; rebuild with new openssl, needed on amd64
- STBR

Revision 1.32  2005/05/08 23:08:02  aredridel
- up to 1.4.1

Revision 1.31  2005/03/07 04:52:19  aredridel
- up to 1.4.0

Revision 1.30  2004/10/04 15:57:04  misi3k
- rel 4
- added krdc patch from kde-cvs

Revision 1.29  2004/08/19 07:34:57  qboosh
- removed invalid _prefix macro usage

Revision 1.28  2004/08/18 16:45:49  undefine
- add cflags/ldflags to compiler

Revision 1.27  2004/08/18 16:26:35  undefine
- release 3

Revision 1.26  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.25  2004/02/04 14:37:36  undefine
- release 2 for ac

Revision 1.24  2004/01/22 19:16:27  areq
- 1.3.1

Revision 1.23  2003/12/04 16:24:03  ankry
- formatting

Revision 1.22  2003/12/02 21:10:48  marcus
- patches were for 1.1.0 not 1.3.0
- rel.2. for ac.

Revision 1.21  2003/10/30 20:28:41  areq
- 1.3.0

Revision 1.20  2003/10/01 07:34:48  qboosh
- look what you are doing - don't fake changelog entries!; restored

Revision 1.19  2003/09/30 20:18:33  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.18  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/05/28 13:01:37  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:26:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.14  2003/02/16 19:55:05  pawel
- uncommented BuildRequires:  openssl-devel >= 0.9.7 (my mistake)

Revision 1.13  2003/02/16 18:45:38  pawel
- updated to 1.2.0

Revision 1.12  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.11  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.10  2002/06/28 09:06:09  zagrodzki
- updated description

Revision 1.9  2002/06/18 11:53:38  qboosh
- updated patch to 19-8-5
- added srvr subpackage for testing purposes
- opt+DESTDIR patch for optflags and DESTDIR support
- this version uses openssl instead of gmp
- new %%doc etc., release 1

Revision 1.8  2002/04/02 19:14:18  qwark
new version 1.1 review of patches
please test it specialy on arch<>x86

Revision 1.7  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/06 15:35:51  misiek
- use %%{__cc}

Revision 1.4  2001/08/11 18:25:53  kloczek
- release 1.pl19: rebuild against gmp 3.1.1.

Revision 1.3  2001/05/08 20:47:27  misiek
- use glibc endian detection to fix sparc compilation

Revision 1.2  2001/05/08 20:34:47  kloczek
- cosmetics (NOTE: it will be good prepare desktop file :).

Revision 1.1  2001/05/08 19:53:19  misiek
- RDP client for accessing Windows NT Terminal Server
- initial pld release
